Get one survey response
get
/fscmRestApi/resources/11.13.18.05/supplierQualificationQuestionResponses/{ResponseRepositoryId}/child/surveyResponses/{SurveyResponseId}
Request
Path Parameters
-
ResponseRepositoryId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
SurveyResponseId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierQualificationQuestionResponses-surveyResponses-item-response
Type:
Show Source
object-
AcceptanceDate: string
(date-time)
Read Only:
trueIndicates the date when the response to the question was accepted. -
AcceptanceNote: string
Read Only:
trueMaximum Length:1000Note entered by the acceptor at the time of acceptance. -
AcceptedBy: integer
(int64)
Read Only:
trueUser who accepted the qualification response. -
AggregateRecordMappingId: integer
(int64)
Read Only:
trueUnique identifier of the mapping of aggregate survey response with the individual responses. -
DataSourceId: integer
(int64)
Read Only:
trueUnique identifier of the document from the source system, such as Questionnaire Response Header ID. -
DataSourceType: string
Read Only:
trueMaximum Length:30Indicates the source system that captured the response from the internal responder. Valid value is QUESTNAIRE_RESPONSE. -
InternalRespondentId: integer
(int64)
Read Only:
trueUnique identifier of the internal responder. -
InternalRespondentName: string
Title:
NameRead Only:trueMaximum Length:240Name of the internal responder who's responsible for responding to the questions. -
LatestResponseFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the question response is the latest response for a given supplier, supplier site, and internal responder. Contains one of the following values: true or false. If true, then this is the latest response for the supplier, supplier site, and internal responder. If false, then this isn't the latest response for the supplier, supplier site, and internal responder. This attribute doesn't have a default value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MergeRequestId: integer
(int64)
Read Only:
trueUnique identifier of the merge request. -
OriginalQuestionId: integer
(int64)
Read Only:
trueUnique identifier of the original question revision for this response. -
QuestionId: integer
(int64)
Read Only:
trueUnique identifier of the question in the question library. -
ResponseComments: string
Read Only:
trueMaximum Length:1000Text of the manually entered response comments. -
ResponseRepositoryId: integer
(int64)
Read Only:
trueUnique identifier of the aggregate question response. -
ResponseScore: number
Read Only:
trueCalculated score for the question response. -
ResponseSubmissionDate: string
(date-time)
Read Only:
trueThe date when the response to a question is submitted by the responder. -
SupplierId: integer
(int64)
Read Only:
trueUnique identifier of the supplier that answered the question. -
SupplierSiteId: integer
(int64)
Read Only:
trueUnique identifier of the supplier site. -
SurveyResponseId: integer
(int64)
Read Only:
trueUnique identifier of the survey response for the internal responder. -
values: array
Survey Response Values
Title:
Survey Response ValuesStore for the questionnaire response value for each question in the questionnaire.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Survey Response Values
Type:
arrayTitle:
Survey Response ValuesStore for the questionnaire response value for each question in the questionnaire.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : supplierQualificationQuestionResponses-surveyResponses-values-item-response
Type:
Show Source
object-
AcceptableResponseId: integer
(int64)
Read Only:
trueUnique identifier of the acceptable response. -
AcceptableResponseText: string
Read Only:
trueMaximum Length:1000The text of a manually entered acceptable response value. -
CriticalResponseFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether a response is critical for evaluation. Contains one of the following values: true or false. If true, then the response is critical for evaluation. If false, then the response isn't critical for evaluation. This attribute doesn't have a default value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ResponseValueDate: string
(date)
Read Only:
trueThe date when a response value is entered for a question that uses the date response type. -
ResponseValueDatetime: string
(date-time)
Read Only:
trueResponse value for a question setup with response type as date and time. -
ResponseValueNumber: number
Read Only:
trueThe number of a manually entered question response. -
ResponseValueText: string
Read Only:
trueMaximum Length:4000The text of a manually entered question response value. -
SurveyResponseId: integer
(int64)
Read Only:
trueUnique identifier of the internal responder survey response. -
SurveyResponseValueId: integer
(int64)
Read Only:
trueUnique identifier of an individual internal responder's response details.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- values
-
Parameters:
- ResponseRepositoryId:
$request.path.ResponseRepositoryId - SurveyResponseId:
$request.path.SurveyResponseId
A response value for each question in a survey questionnaire. For example, a value can store a selected answer for a questionnaire response. - ResponseRepositoryId: